
History for IMDBPHP
====================

v8.3.1 (22.12.2025)
-------------------
! Fix TitleSearch
! Fix TitleSearchAdvanced
! Update useragent to latest FireFox

v8.3.0 (02.03.2025)
-------------------
+ Add Podcast Series & Music Video Support #333 by @CicerBro
* Update dev dependencies
* Format project according to coding style
! Fix bugs found with PHPStan

v8.2.0 (25.02.2024)
-------------------
+ Add Podcast Episode support #326 by @Fossil01
! Fix Title::trivia() - limited to 5 entries
! Fix Title::filmingDates()
! Fix Title::keywords_all() - limited to 50 entries
! Fix Title::locations() - limited to 5 entries
! Fix Title::quotes() and Title::quotes_split()
! Fix Title::goofs() - limited to 5 entries
! Fix Title::crazy_credits()
! Fix Title::metacriticRating()
! Fix Title::creator()

v8.1.0 (14.03.2023)
-------------------
+ Add Psr/Log v2 to allowed versions in composer.json
! Fix Title::aspect_ratio no longer returning anything

v8.0.2 (21.02.2023)
-------------------
! Improved the documentation of Title::alsoknow()
! Fixes Title::alsoknow() returning an 'original title' with a null name when your imdb display title is the original title
- Deprecate PersonSearch::reset()

v8.0.1 (14.02.2023)
-------------------
+ Add setCount and setStart to TitleSearchAdvanced. setCount lets you change how many results you get,
    and setStart lets you offset the start of the search results so you can get multiple pages
! Fix Title::alsoknow() when country is not set. countryCode and languageCode will now be null if no language or country is set

v8.0.0 (13.02.2023)
-------------------
! Title::plot() returns plain text utf-8 strings rather than html. It no longer contains the author at the end (You can get the author from Title::plot_split())
! Title::plot_split() also has plain text utf-8 strings rather than html in its plot field
! Title::releaseInfo() return has changed. The country strings have changed slightly, the dates are numbers rather than stringy numbers and month has been removed.
    Was ['country' => 'USA', 'day' => '9', 'month' => 'June', 'mon' => '06', 'year' => '1993' ] now [ 'country' => 'United States', 'day' => 9, 'mon' => 6, 'year' => 1993, 'attributes' => [ 'Washington, D.C.', 'premiere' ] ]
! Title::alsoknow() no longer returns a year or lang field (they were previously always an empty string). It no longer returns a comment of '$language title' for each aka.
! Fixed these methods broken by site change: Title::releaseInfo(), Title::synopsis(), Title::alternateVersions(), Title::runtimes(), Title::distCompany(), Title::specialCompany(), Title::prodCompany(), Title::specialCompany(), Title::otherCompany(), Title::movie_recommendations(), Title::taglines(), Title::movieconnection(), Title::extReviews(), Title::officialSites(), Title::videosites()
+ Title::alsoknow() now returns a countryCode, language and languageCode for each AKA.
+ Title::runtimes() now returns a country and countryCode
+ Title::videosites() now returns a language, languageCode but not a type. Now ['url' => 'x', 'site' => FILM.TV, 'desc' => trailer, 'language' => German, 'languageCode' => de] was
    ['url'=>'x', 'site' => 'FILM.TV', 'desc' => 'trailer', 'type' => '']


v7.4.2 (07.01.2023)
-------------------
! Remove visibility from const to support < PHP 7.1

v7.4.1 (07.01.2023)
-------------------
! Fix demo as `Title::soundtrack` where simplified in v7.3.1
! Fix `Person::photo_localurl` in PHP 8.2
! Fix `Title::photo_localurl` in PHP 8.2

v7.4.0 (07.01.2023)
-------------------
+ Added PER Coding Style using PHP-CS-Fixer to maintain consistent coding styles
+ Added .editorconfig to maintain consistent coding styles
* Move the PHPStan configuration to neon and raise the level to 1
* Format project according to coding style
* Don't use zip for PersonTest
! Fix `Title::cast` in PHP 8.1
! Fix `Person::photo`
! Fix `TitleTest::testEpisodes_returns_unknown_season_episodes`
! Fix `Title::aspect_ratio`
! Fix `TitleTest::testRuntimes_two_runtimes_one_annotation`
! Fix `Person::real_id`
! Fix `TitleTest::testAlsoknow`
! Fix `Person::filmograf` #286 @duck7000
* Change `Title::parentalGuide()` to also html entity decode single quotes
! Fix `Calendar::upcomingReleases`
! Fix `Title::tagline` in PHP 5.6 #284 @paxter

v7.3.1 (08.10.2022)
-------------------
* Remove PHP 7.3 from tests
! Fix `Calendar::upcomingReleases()`
! Fix `PersonSearch::results()`
! Fix `Title::storyline()`
! Fix `Title::tagline()`
! Fix `Title::parentalGuide()`
! Fix `TitleSearch::search()`
! Fix `Title::populateEpisodeSeasonEpisode()`
! Fix `Title::keywords()` #278 @duck7000 and @tboothman
* Simplify `Title::soundtrack()` to just return raw data rather than badly trying to parse it
! Fix `Person::spouse()` #275 @duck7000
! Fix `Title::died()`

v7.3.0 (03.03.2022)
-------------------
+ `Person::real_id()` gives the imdb ID of a person after following any redirects from the ID requested. Thanks @duck7000
+ New class `Calendar` with method `upcomingReleases($country)` that lets you see the upcoming releases for a country as seen on https://www.imdb.com/calendar?region=gb. Thanks @duck7000
! Fix character encoding in methods that use xpath. (Affected `Title::cast()` names and role names, maybe more) #262 #253
! Decode html single quotes in `Title::title()` #264
! Fix `Title::comment()`. #258 #270
! Fix title redirects not being followed (Sometimes imdb pages are redirected to one with a different ID)
! Fix `Title::movie_recommendations()`. Thanks @duck7000  #268

v7.2.0 (15.07.2021)
-------------------
+ Added $ratings parameter to `Title::mpaa()` to get all ratings instead of just the last one. @PoLaKoSz #204
+ Format list items using "- " instead of returning "<li>" in `Title::alternateVersions()`. @duck7000 #228
! Fix `Title::mpaa()` due to new design. @duck7000 #231
! Fix `Title::plot()` as it returned incorrect author. @duck7000 #237
! Fix `Title::episodes()` could crash as `bySeason` weren't always available.

v7.1.0 (12.07.2021)
-------------------
+ `Title::episodes()` now has a image_url field on each episode with a url pointing to the picture for that episode
! Fix `Title::episodes()` failing when a season had a lot of episodes. Thanks @duck7000  #242
! Fix `Title::episodes()` for shows with only one season #239
! Fix `Title::movie_recommendations()` throwing errors when data such as rating was missing from the recommendation. Thanks @M0H4MM4D0UTIS #240

v7.0.0 (07.07.2021)
-------------------
! Many fixes due to the redesign of the title page
- `Title::mainPictures()` and `Title::prodNotes()` have been removed
- `Title::movie_recommendations()` no longer returns year, endyear and votes

v6.5.1 (30.05.2021)
! Force the old site layout to keep the library working

v6.5.0 (10.04.2021)
-------------------
+ Fixed `Title::isEpisode()` returning true for series' and made it public. Thanks @amirsasani #213
+ New method `Title::actor_stars()` to get only the stars of the title rather than all cast members. Thanks @M0H4MM4D0UTIS #211
! Fix `Title::extReviews()` not returning anything (broken due to html changes on imdb)
! Remove excess whitespace on `Title::officialSites()`
! Deprecate spoilers on `Title::trivia()`. They're no longer on IMDb

v6.4.2 (08.11.2020)
-------------------
! Fix Person ID length is always 7 in PersonSearch::results() #201 (Some newer people have 9 digit IDs)
! Fix Charts::getChartsTop10() showing the box office instead of the popular ranking and also showing 2 of each films

v6.4.1 (29.10.2020)
-------------------
! Fix `Charts::getChartsBoxOffice()` erroring when a gross or weekend amount was shown in thousands ($300K)

v6.4.0 (11.04.2020)
-------------------

+ Added Title::cinematographer() #193. Thanks @jetrosuni
! Fixed number of votes on Title::movie_recommendations() for some european locales #190
! Close curl handles after finishing request #191
! Fix Title::officialSites() not fetching the url after a site change

v6.3.0 (13.09.2019)
-------------------
! Fix `TitleSearch::search()` as `$maxResults` were never being used #111
! Fix `TitleSearch::search()` as it returned incorrect movietype for TV Episode #154
! Fix `TitleSearch::search()` as it incorrectly detected year on some titles #178
! Fix `Person::trivia()`, `Person::quotes()` and `Person::trademark()` for returning default "no content"-text #171
! 8 digit ids were not being parsed correctly for the demo application #176
+ Added `rating` and `votes` to the results of `Title::movie_recommendations()` #179

v6.2.2 (02.06.2019)
-------------------
! 8 digit ids were not being parsed correctly for `Title::director()` and `Title::producer()` #168

v6.2.1 (23.04.2019)
-------------------
! Support 8 digit imdb titles #163
! Fix `Title::episodes()`'s episode titles containing extra html in some instances #166

v6.2.0 (11.03.2019)
-------------------
+ Added method `Title::real_id()`. It returns the IMDb ID of the title the object represents. This can be different to the ID passed to the constructor as IMDb has duplicate IDs for some titles which it later removes one of and redirects to the other title. For example https://www.imdb.com/title/tt7393172/ redirects to https://www.imdb.com/title/tt7384848/
+ Added `endyear` to the results of `Title::movie_recommendations()`
! TitleSearchAdvanced - Fix error when search results contained an episode without a year

v6.1.3 (25.12.2018)
-------------------
! Fix `Title::keywords()` and `Title::keywords_all()` for returning an empty set

v6.1.2 (29.11.2018)
-------------------
! Fix `Parsing::table()` for returning an empty set
! Fix `Title::movietype()` for returning wrong movietype #154

v6.1.1 (24.11.2018)
-------------------
! Fix `Title::alsoknow()` for returning an empty set #152
! Fix `Title::releaseInfo()` for returning an empty set #153
! Fix `TitleSearchAdvanced::search()` returned incorrect title type

v6.1.0 (16.11.2018)
-------------------
+ Added $short parameter to `Title::cast()` to get the cast listed on the title page, rather than the cast page. This will save you a http request if you use nothing else from the cast page, but gives fewer cast members. Thanks @sebastian-king
! Fix `Title::keywords_all()` for keywords with spaces in them
! Fix `TitleSearch::search()` to ignore (in development) and empty year
! Fix `TitleSearchAdvanced::setSort()` as they changed the order
! Fix `Title::alsoknow()` for returning an empty set #150
! Fix `Title::releaseInfo()` for returning an empty set #149
! Drop tests for PHP < 7.0

v6.0.4 (02.10.2018)
-------------------
! Bug `Title:genre()` returned empty array in case it's called after `Title:genres()`
! Fix `Title:genres()` caused by a site change #139
! `Title:runtimes()` returned null on some occation as json data aren't always available #135
! Bug `Title:soundclipsites()` returned information from `Title:videosites()`
! Fix `Title:storyline()` caused by a site change #134

v6.0.3 (19.08.2018)
-------------------
! Fix `Title::rating()`, `Title::votes()`, `Title::poster()`, `Title::runtime()`, `Title::creator()`, `Title::episodeTitle()`, `Title::episodeAirDate()`, `Title:country()`, `Title:runtimes()`, `Title:colors()` and `Title:sound()` caused by a site change #133
! Fix `Title:movieconnection()` caused by a site change #132

v6.0.2 (12.08.2018)
-------------------
! Fixed error when fetching languages for a title that had none
! Removed rubbish data in `Title::plot()` when title had no plot
! Fixed people with an ID of over 10 million not being parsed correctly

v6.0.1 (19.04.2018)
-------------------
! Try to fix too many open file handles in `Cache::purge()`
! Speed up reading of cached gzipped files
! Disable `Config::$converttozip` by default
! Fix docblocks documentation
! Fix a typo in `Title::storyline()`
! Fix `Charts::getChartsBoxOffice()` caused by a site change
! `Title::endyear()` returned incorrect year if tv show are still on air
! Fix 302 Found redirection by switching to https
- Removed invalid `phpDocumentor` @method tags
- Removed unused code in `Title::filmograf()`

v6.0.0 (26.02.2018)
-------------------
! Drop support for PHP < 5.6
! Removed `\Imdb\Title::openingWeekend()`, `Title::gross()`, `Title::weekendGross()` and `Title::admissions()`
+ Support for PSR-16 cache

v5.2.6 (24.02.2018)
-------------------
! Fix "won" on Title::awards() output. It was always false because imdb changed their wording

v5.2.5 (05.02.2018)
-------------------
! Fix `Title::locations()` caused by a site change
! The Box Office / Business page has been removed so several pieces of information are missing, but some are available elsewhere. `Title::budget()` and `Title::filmingDates()` have been fixed but several methods like `Title::openingWeekend()` and `Title::gross()` do not work

v5.2.4 (07.11.2017)
-------------------
! `Title::yearspan()` - returned the incorrect end year sometimes
! `Title::mpaa_reason()`, `Title::parentalGuide()`, `Title::extReviews()`, `Title::languages_detailed()`, `Title::cast()`
! `Title::releaseInfo()` returning the wrong day/month #103
+ `Config::$ip_address` which lets you send a 'X-Forwarded-For' header to make imdb think you're using a different IP. This can be used to give better access to a country's titles.
+ `Title::quotes_split()` which provides the data from quotes in a more machine readable format (no html)

v5.2.3 (18.09.2017)
-------------------
! Fix Title::openingWeekend when an entry has no number of screens
! Fix Title::plot, plot_split and synopsis caused by site change

v5.2.2 (20.08.2017)
-------------------
! Fix Person::born() and Person::died() caused by site change

v5.2.1 (07.07.2017)
-------------------
! Fix Person::pubprints(), Person::pubmovies(), Person::pubportraits(), Person::interviews(), Person::articles(), Person::pictorials(), Person::magcovers() caused by site change

v5.2.0 (19.04.2017)
-------------------
+ Add support for using http proxies to fetch from IMDb
! Fix `Title::orig_title()` always being empty if the Title was created from a search
! Improve the look and the coding of the demo pages

v5.1.1 (21.02.2017)
-------------------
! Fix `Title::movietype()` randomly returning a month rather than a movie type (caused by v5.1.0)
! Stop `Title::producer()` erroring when there are no producers.

v5.1.0 (20.02.2017)
-------------------
! Fix `Title::movietype()` so it can return 'TV Special'
+ Return top 250 TV ranking in `Title::top250()` for a TV show, as well as the top 250 for films
+ Allow for unknown seasons in `Title::episodes()`. Both season and episodes can now be -1 (unknown)
+ Allow series producers in `Title::producer()`
! Stop `Title::aspect_ratio()` using undefined index when no aspect ratio exists

v5.0.3 (21.01.2017)
-------------------
! Fix `Title::locations()`, `Title::crazy_credits()` and `Title::trailers()`. None were returning any results.
! Fixed TitleSearchAdvanced when it received TV results on linux. It wasn't using UTF-8 so the hyphen between start and end year was showing an odd character in the results.
- Dropped the second (completely ineffective) parameter to `Title::trailers()`

v5.0.1 (10.12.2016)
-------------------
! Fixed `Title::country()` and `Title::language()` and `Title::languages()`

v5.0.0 (16.10.2016)
-------------------
! Started using curl for all http(s) requests.
! Fixed `Title::composer()` for TV shows

v4.1.1 (14.09.2016)
-------------------
! Fixed `Title::savephoto()`, which broke due to imdb moving their images be served with SSL
! Fixed `Title::country()` and `Title::language()` and `Title::languages()`
! Fixed `\Imdb\TitleSearchAdvanced`, which stopped working due to a redesign

v4.1.0 (21.07.2016)
-------------------
- Remove LoggerAwareInterface
+ Add ability to replace cache and the logger via the constructor

v4.0.1 (17.07.2016)
-------------------
! Remove the new text imdb added for empty episode plots in `Title::episodes()`

v4.0.0 (05.07.2016)
-------------------
- Removed `\Imdb\Title::setId()` and `\Imdb\Person::setid()`. Allowing the ID to be mutated was odd functionality and there were almost certainly some bugs if you did it.
+ IMDb IDs can now be integers, 7 digit padded numbers, URLs, or tt0000000 formatted.
* Try to create the cache folder if it does not exist.
+ Add ability to replace inbuilt logger. Added the PSR-3 LoggerAwareInterface to all classes and made the logger PSR-3 compatible.
! Increase the default page cache time from 1 hour to 1 week
* Change the default domain for imdb to www.imdb.com instead of akas.imdb.com as akas no longer returns titles in english or returns more results for akas.
- Remove the maxResults config key. It had no effect on the search requested from IMDb only limited the results returned from the search.
- Removed the old broken trailers class

v3.3.0 (17.04.2016)
-------------------
+ Merge `\Imdb\Person::movie_actor` and `\Imdb\Person::movie_actress` into `\Imdb\Person::movie_actor`. It was a confusing seperation that I doubt any library users cared about.
+ Add 'title_type' to filmography results in `\Imdb\Person`
+ Add the demo/images folder to the git repo.

v3.2.0 (01.02.2016)
-------------------
! Fix `Title::get_episode_details()` which broke in the imdb redesign.
+ Add `Title::episodeTitle()`, `Title::episodeSeason()`, `Title::episodeEpisode()`, `Title::episodeAirDate()` which add more information for episodes of a tv show.
+ `Exception\Http` now has a `HTTPStatusCode` field.

v3.1.5 (27.01.2016)
! Add new site layout parsing back in

v3.1.4 (12.01.2016)
! Undo changes since 3.1.1 as the new site layout no longer exists

v3.1.3 (13.12.2015)
! Fix `Title::photo()`, `Title::rating()`, `Title::metacriticRating()`, `Title::plotoutline()`
- Depricate `Title::metacriticNumReviews()` as it's no longer on the page. The method is still there but will always return null

v3.1.2 (12.12.2015)
-------------------
! Fix Title::orig_title() which broke due a site change

v3.1.1 (28.22.2015)
-------------------
! Fix Title::alternateVersions() returning some junk html if there were no alternate versions

v3.1.0 (21.11.2015)
-------------------
+ Add `Title::alternateVersions()`
! Fix advanced search when results contain an episode with no year
! Fix gross() when no country is year is specified by imdb

v3.0.2 (04.11.2015)
-------------------
! Fix `Title::top250()` (caused by imdb change)
! Fix `Title::quotes()` (caused by imdb change)
! Fix `Title::movie_recommendations()` when a title has a special version number in its name

v3.0.1 (17.06.2015)
-------------------
! Fix Title::movie_recommendations() (DOMDocument was not namespace scoped properly)
! Fix Charts::getChartsBoxOffice() if there are less than 10 films
! Updated makefile to deal with the new file structure

v3.0.0 (07.06.2015)
--------------------
! Started using namespaces
! Moved demo site into its own folder
! Changed return of Charts::getChartsBoxOffice
! Changed interface for advanced title search
+ HTTP errors will now throw an exception of type Imdb\Exception\Http
- Removed imdbXML, imdb_nowplaying
- Removed config value imdb_utf8recode

v2.6.1 (19.05.2015)
-------------------
! Fix year being missing when searching for films like "Home (II) (2015)"
! Add a cache folder in the default location to stop exceptions with default config

v2.6.0 (03.05.2015)
-------------------
+ Added ability to fetch metacritic rating and number of reviews. `imdb::metacriticRating()` and `imdb::metacriticNumReviews()`
+ An exception will be thrown if you have configured caching but the folder is not writeable. If you do not want caching `usecache` and `storecache` must be false.
! Fix top250 rank parsing

v2.5.0 (25.03.2015)
-------------------
* Changed `credits` in `imdb_person` to return an array for addons as the docblock states
* Fixed `writing()` credits for tv show
* Handle a title with no cast
* Fix rating parsing when using european languages
* Remove usage of short array syntax

v2.4.1 (02.01.2015)
-------------------
+ Add two extra fields to `cast()`. `credited` indicates whether the actor was credited for that role or not. `role_other` is an array of any other extra information put again the role, such as 'voice' or 'archive footage'
! Fix multiple roles per actor not showing in the 'role' field of `cast()`
! Fix link to movie overview page in the demo site

v2.4 (13.12.2014)
-------------------
! Speed up poster parsing and fix errors on large pages
! Fix `awards()` where award has no recipients, no category or large notes
! Fix `cast()` parsing of role. The role field no longer contains anything other than the name of the role played
+ Added extra fields for number of episodes and years playing the role to `cast()`
! Fix photo field in `cast()` results to correctly remove the resizing bit in the url

v2.3.6 (21.11.2014)
-------------------
! Fix regexp for place of death parsing when no cause of death is given

v2.3.5 (02.11.2014)
-------------------
! Fix goofs parsing.
+ Caching / requesting layer rewritten to be simpler and more modular. Cache files are different, so previously cached requests will be lost.
! Remove some short array syntax to keep compatibility with older versions of PHP5 (added in 2.3.4)

v2.3.4 (11.10.2014)
-------------------
! Fix `runtime()` not always returning a value
! `ratings()` now returns an int rather than a number formatted string
! Fix `overview()` having a synopsis link if synopsis was used
- Removes unneeded constants used in config
! Fix http redirects not being followed properly

v2.3.3 (21.08.2014)
-------------------
! Fix date of birth and date of death parsing

v2.3.2 (05.08.2014)
-------------------
! Fix sound, color and countries methods (broken due to imdb change)
! Remove 'Add a Plot' from outline method when no outline exists
! fixing up APIDoc to work with the current processor once more

v2.3.1
-------------------
! Fix 'creator' parsing

v2.3 (31.07.2014)
-----------------
+ New interface for searching people and films ( ->search($searchTerms) )
+ Add composer support
+ Add ability to pass config into classes to override default config. This makes it possible use imdb without editing or adding files to the imdb library folder
! Fix episode parsing
! Fix referrer header being same as $_SERVER['referer'] when making requests to imdb
- Remove unnecessary config key 'trigger_referer'

v2.2.4 (05.06.2014)
-------------------
+ phpUnit tests added (DJMcTom)
* some code cleanup and RegExp speedup (DJMcTom)
- removed support for PEAR http request (DJMcTom)
! Fix alsoknow so it correctly splits country and comments (DJMcTom)
* Make sure endyear is the startyear if film has no production span (DJMcTom)
* Include imdb class in imdbsearch class to prevent errors (DJMcTom)
* declaring imdbsearch::seturl() obsolete: nowhere referenced, and does not really make sense anymore (Izzy)
- constructor of mdb_base had a mandatory parameter (id) which was not used. This parameter is now deprecated (no longer listed in ApiRef) but left in for compatibility, will be removed later (Izzy)

v2.2.3 (25.01.2014)
-------------------
* some cleanup to imdb::plot_split
* IMDB site updates hit us again. Fixed: imdb::awards(), imdb_person::bio()
! Episode search was broken due to incomplete redirect handling in imdbsearch::results()
* tiny fix to imdb_person::filmograf() to return all character names

v2.2.2 (02.12.2013)
-------------------
! imdbperson: filmographs had skipped every second entry somehow
! imdbperson: born() and died() got broken due to site changes. Thanks to GeorgeFive for the fix!
! imdb::title() returned an empty string for movies that haven't been released yet
* reworked imdb::title_year() to better handle year-spans (e.g. for serials: "2010-2012")
* imdb: decoding IMDB external site re-directs to target URLs
* imdb::cast() now has an optional parameter $clean_ws (default: FALSE) to remove whitespaces (especially line-breaks) in names
! imdb_person: more adjustments due to site changes to birthname(), nickname(), height(), spouse(), bio(), trivia(), quotes(), trademark(), salary()

v2.2.1 (20.10.2013)
-------------------
! again site changes, this time they broke the personal credits (actors, composers, writers, etc.)
* imdb::yearspan() didn't catch all "delimiters" used on the IMDB sites
+ added new config option "language" (see mdb_config for details ? and thanx to strikedaemon for the code!)
* changed a bunch of methods from private to protected, to allow overriding them by extension classes
! IMDB decided to introduce another /genre/ link to most popular genres, which messed up the genre() method
! imdb::plot() and imdb::plot_split() were broken due to another site change

v2.2.0 (22.09.2013)
-------------------
+ introduced the possibility to override config vars using simple *.ini files (see conf/*)
- removed Moviepilot classes (the service is no longer operational via its API)
! fixes to cache.php (listed the same movie over and over)
* doc/README updated
+ cache.php now uses glob() to speed up file finding
* some minor code cleanup
+ added some more example code to doc/examples

v2.1.9 (19.09.2013)
-------------------
! imdb::alsoknow() and imdb::releaseInfo() were broken due to site changes
! imdbperson::filmograf() missed some character names due to site changes
! imdb::soundtrack() was broken due to site changes
! imdb_person: latest site changes broke all filmografies. fixed.
! imdb: crazy_credits(), goofs(), quotes(), video_sites() broken due to site changes
+ while fixing imdb::video_sites, discovered more similar content on that page: soundclip_sites(), photo_sites() and misc_sites() added
! imdb: trivia(), officialSites() broken due to site changes
! imdb_person: movies_crew() and movies_archive() broken due to site changes

v2.1.8 (26.05.2013)
-------------------
* improvements to the imdb::soundtrack() method. Much better results now :)
+ imdb_person::filmograf() now fills the "addons" information again (for all movie_*() methods)
! imdb_person: articles(), interviews() returned garbage if that information was not available
! Moviepilot changed API-error message, so instead of displaying the according error we had empty result sets
! rewrote movieposterdb::parse_list() -- so now the movie posters, logos, covers, etc. should work again
+ added imdb::orig_title() to retrieve the original movie title (if available; otherwise returns "")
+ added imdb::movie_recommendations() to retrieve the "people who liked this..." movies
* imdb_person::spouse() was missing detail information (most likely due to site changes) -- added them back
! fixed a bunch of notices in person.php and imdb_person.class.php

v2.1.7 (15.05.2013)
-------------------
! site changes again. Fixed: imdb::keywords_all(), imdb::taglines(), imdb:quotes(), imdb::trailers()
! also due to site changes: fixed imdb::soundtrack() and extended it: soundtrack[i][credit] is now an array[credit_to,desc]
! fixed imdb::genres() returning duplicate genres due to some added SPANs
* some cleanup for the plot outline in imdb::plotoutline()
! fixed imdb::get_episode_details() broken due to site changes
! fixed imdb::comment_split() broken due to site changes
! fixed company credits (all four methods have been broken due to site changes)
* removed some garbage preceding the storyline returned by imdb::storyline()
+ imdbsearch::results() got additional parameters so results can be better filtered. Also added some safeguard for movies having a number before the year, e.g. "Safe (I) (2012)", to prevent empty years
! fixing imdb::mainPictures() bigsrc
! fixing minor issue with non-existing thumbnails in imdbphp::thumbphoto()

v2.1.6 (06.02.2012)
-------------------
! bunch of IMDB changes broke things again: fixed imdb::votes(), imdb::movietype(), imdb::country(), imdb::genres(), imdb::mpaa_reason()
! same reason: fixed imdb::thumbphoto() -- and thus all dependent photo methods resolve again
! same reason, more fixes: imdb::keywords()
! same reason, fixed imdb::seasons() -- which implicitly fixed the depending imdb::episodes()
! four more: fixed imdb::is_serial() and imdb::get_episode_details() plus imdb::comment() and imdb::comment_split() due to IMDB site changes

v2.1.5 (06.12.2012)
-------------------
! fixed "undefined index" error in imdb::episodes()
! imdbsearch, imdbperson: site changes completely broke search
+ imdbperson: added caching of search result page
! imdb::is_serial() and imdb::get_episode_details() were also broken again

v2.1.4 (20.09.2012)
-------------------
! imdb::movietype() could no longer distinguish between TV Movie and TV Serie (site changes)
! imdb::is_serial() invalidated by site changes
! imdb::movieconnection() was broken due to site changes
! imdb_person::born() and imdb_person::died() suddenly missed day and month (site change; thanks to GeorgeFive for the fix!)
* test suite needed a minor update: our example "uncompleted" movie was completed meanwhile, so the test erraneously reported failure
+ imdb::trailers() was incomplete. Thanks to george (ticket:286) it now should fetch more, and I also added the possibility to decide whether to restrict trailers to on-site ones
* imdb::plotoutline(): removing extra HTML tags from around the storyline

v2.1.3 (15.04.2012)
-------------------
! some redirects have not been handled correctly (i.e. when IMDBID xxxxxxx was re-routed to yyyyyyy)
! imdb::is_serial() and imdb::get_episode_details() were broken due to site changes
! imdb::episodes() was broken due to site changes. ATTENTION: with this rewrite of the method,
  the outer array no longer starts at 0 but reflects the real season number (as often requested)!
+ imdb::get_episode_details() - added "airdate" as requested by ticket:290
! imdb::goofs() and imdb::crazy_credits() where broken due to site changes
* some adjustments to imdb::trivia - spoilers are now avoided by default. Pass TRUE as only argument to retrieve them separately.
+ some enhancements to genre retrieval (thanks to George!) - now there will be more genres reported :)

v2.1.2 (19.01.2012)
-------------------
! site changes broke the imdb class methods keywords(), seasons(), languages(), mpaa_reason(), goofs()
! site changes confused imdb::extReviews(), imdb::videosites()
! company info URLs were just the IMDB relative URL w/o protocol and site. Added the missing info
! if production spanned multiple years (xxxx-yyyy), movie type was setup wrongly ("type xxxx-")
+ added method imdb::endyear() for cases where production spanned multiple years. So for
  "xxxx-yyyy" this returns "yyyy", while imdb::year() is adjusted to "xxxx". Otherwise, both
  return the same year.
! imdb_topcharts::getChartsBoxOffice() was broken. Fixed thanx to hints from razor.
! imdb::episodes() was completely broken, as the entire page design and structure changed (multiple pages now)
+ added imdb::get_episode_details() to retrieve "uplink info" on episodes

v2.1.1 (19.12.2011)
-------------------
+ imdb: adding new budget class
+ imdb nowplaying: added Top-10-Boxoffice
+ movies: added method movietype to check wheter it is a movie, tv series, ...
* updated API reference
! is_serial() did always return FALSE (site-change)
* fixed a bunch of NOTICEs
! imdb::languages() had problems with some ISO settings - hopefully fixed now.
* sometimes imdb::genres() did not return all available genres

v2.1.0 (11.10.2011)
-------------------
! movieposterdb class was broken due to site changes at movieposterdb.com; applied a quick-hack to fix it
! fixes due to site changes: imdb::rating, imdb::goofs
* complete rewrite of imdb_nowplaying class (location and structure of page had changed)
+ some improvements to episode data (see http://projects.izzysoft.de/trac/imdbphp/ticket/255 for details)
! trailers on Moviepilot were broken due to changed URL
! pilot: fixed mainPictures() due to API changes
! pilot_person: fixed photos() due to API changes
+ added basic check for pilot classes (corresponding to the IMDB checks)

v2.0.7 (21.08.2011)
-------------------
! site changes again: fixed imdb_person:name (tnx to GeorgeFive and Qvist)
! same reason: imdb::votes(), imdb::country() and imdb::mpaa_reason()
! same reason, just a couple of days later: imdb rating
! imdb_person class: filmografies no longer listed movie names due to site changes
* imdb_person class: character names w/o id are listed again in filmografies
! IMDB started to sometimes pre- or postfix movie titles with "IMDb", becoming part of the title then
* imdb movie: plotoutline() did not work for unrated movies

v2.0.6 (08.07.2011)
-------------------
! next IMDB site changes: ratings
! imdb_person filmographies: quarters in years, e.g. 1924/II, lead to empty year
* imdb::awards(): minor adjustments by Qvist
! imdb_movielist: fixed the listing methods (were all broken by IMDB site changes some time ago)
+ movies (imdb+pilot): Added new method languages_detailed() to get detailed lang info (name, code and comment of languages used)
+ imdb::episodes(): Result array now also includes season and episode (numbers)
+ movie classes: Added new method aspect_ratio to obtain the screen aspect ratio

v2.0.5 (25.05.2011)
-------------------
! IMDB-Link for person search in demo was wrong
+ movie class: new method yearspan() for e.g. serials spanning multiple production years
! IMDB site changes broke actors filmographies, quotes, user comments, trivia, top250
* adaption to imdb::storyline() as suggested by an anonymous user

v2.0.4 (28.12.2010)
-------------------
! mdb_request.class.php ignored the IMDBPHP_CONFIG constant - fixed
! they did it again - so imdb::comment_split() was broken
! imdb photo stuff was broken
+ runtimes and genres know have an additional source as fallback
! imdb::votes() was broken due to site changes
! imdb::seasons() always returned 1 (if there were seasons) for IMDB switched order
* cleaned up imdb::prodNotes() result
* cleaning up double-paragraphs in imdb::plotoutline()
! person.php linked back to imdb.php instead of movie.php

v2.0.3 (17.10.2010)
-------------------
! some after-fixes for the last "big run" include imdb methods plotoutline(),
  runtime_all()
! same for imdb_person::name()
* imdb::plotoutline() was taken from storyline with the recent changes - fixed it up
+ but since we had a working storyline, that method was added as storyline()
! imdb::mainPictures() was also broken by the last site changes - fixed
! mdb_request class did not inherit force_agent and trigger_referer values from
  mdb_config and thus issued PHP notices

v2.0.2 (10.10.2010)
-------------------
! imdbsearch: some search results missed the year (if it was consisting of more than a plain
  year, e.g. something like "2001/II")
! imdb::prodNotes: lastUpdate was broken due to a site change
+ movies: added imdb::locations() to retrieve details on the filming locations.
  pilot::locations() is just a wrapper to this requiring full fallback configured.
! mpaa_reason returned wrong text (tnx to dblume for report and fix!)
+ added method is_serial() to the movie classes to determine whether the selected
  entry is part of a TV series
! again site changes at IMDB - fixed imdb::title_year(), imdb::thumbphoto(), and
  imdb::country() with code sent by moonface (tnx!)
! imdb::languages() (and thus imdb::language() as well) had been broken - fixed.
+ added config option to set up the user agent "manually"
! if an actor had a too long movie list, no results where shown (there seems to be
  a limitation in preg_match)
! HUGE SITE CHANGES ON IMDB! Thanks to your contributions, we got many stuff fixed
  in the imdb class: thumbphoto, ratevote, genres, cast, alsoknown, runtime_all,
  comment, comment_split, tagline, plotoutline, keywords, mpaa, mpaa_hist, mpaa_reason, prodNotes
! Same reason broke the imdb_person class almost completely.


v2.0.1 (23.05.2010)
-------------------
* imdb::awards() updated with code from its author (tnx, Qvist!)
* imdb::alsoknow() updated with patch from Qvist (tnx again!)
! imdb::tagline() and imdb::prodNotes() have been affected by some site changes
! fixing some minor typos
! imdb site changes broke imdb::releaseInfo() again
+ movieposterdb: added method save_image to save an image to the configured photodir
* user_agent string now taken from browser (if possible)
* imdb::releaseInfo - country was suddenly including anchor tags due to site changes
+ imdbsearch::results now has an additional optional parameter "series" (boolean,
  default TRUE) to indicate whether you want TV series included with the results

v2.0.0 (26.04.2010)
-------------------
! imdb::releaseInfo() was also partly affected by the last IMDB site changes
! another IMDB site change broke imdb::alsoknow()
+ imdb::top250() added as provided by abe (tnx!)
* due to a request, the constant mdbconfig::pilot_imdbfill was turned into a
  protected property (to be accessed via mdb_config::get_pilot_imdbfill and
  mdb_config::set_imdbfill). To enable the use of this, the new constant
  mdb_config::pilot_imdbfallback_enabled needs to be set to TRUE
+ pilotsearch now honors the maxresults setting
! imdb::quotes() had some annoying "share this quote" added due to IMDB site changes
+ added imdb::videosites() to retrieve the external trailer links again
! fixed the imdb_trailer class again (at least basically)
+ pilot::trailers() and pilot::mainPictures() now deliver content from MoviePilot
+ imdb::trailers() now also supports the "extended data" introduced by pilot::trailers():
  Passing TRUE as parameter, instead of simply the URLs you get some additional data
+ imdb_trailers: added support for Youtube URLs
+ imdb::awards() has been added by Qvist (Tnx!) and tweaked by Izzy - the latter
  then also added pilot::awards() as wrapper to it (requires FULL_ACCESS)
* replaced mdb_config::pilot_imdbfallback_enabled by the global constant
  PILOT_IMDBFILL - which is defined in the default mdb_config.class.php only
  if it was not defined before
! IMDB changed the format of the AKAs today - so imdb::alsoknow() had to be fixed
! imdb::trivia() was broken due to site changes
! Makefile forgot to install index.html - and to uninstall pilot_person.class.php
! pilot: some minor adjustments concerning not-available pages

v1.9.9 (24.02.2010)
-------------------
* imdb::movieconnection() - fixed FollowedBy and added Follows (tnx 2 Qvist)
* imdb::releaseInfo() now catches a few more cases (missing links)
* imdbXML class updated with a patch from the author
+ imdb::movieconnections() - added more connections (tnx to Qvist)
! IMDB Search did not work with the localized sites due to new domains used
! imdb_person::filmograf did not catch characters if they had no link. Due
  to changes on the IMDB sites, it in fact did no longer catch any character...
+ pilot movie class now correctly assigns the persons IMDBID
! imdb_person: born() and died() missed to return the year due to IMDB site changes
! imdb::seasons() returned wrong season count, and imdb::episodes() got messed up on airing dates
+ pilot_person: class added
! imdb::releaseInfo() did not recognize entries without day - fixed.
+ caching functionality added to the imdbsearch class
+ pilotsearch class now stores found movies to cache
+ *_person::movies_writer() added to get writers filmography
! imdb_person::born() and died() have been broken by IMDB changes again - fixed.
  Same for interviews(), articles(), pictorials() and magcovers().
! imdb::color() has been broken by IMDB changes - also fixed. Same for
  imdb::sound(), mpaa() and mpaa_hist()

v1.9.8 (02.12.2009)
-------------------
* started restructuring the classes and files to provide a core API for extensions
+ first extension added: basic functionality for MoviePilot
  (http://www.moviepilot.de/), supporting some movie functionality only
+ added the pilot_imdbfill class constant to define IMDB access level for
  complementary data from IMDB - i.e. information which is generally not
  provided by MoviePilot can be automatically retrieved from there.
* Updates for the APIDoc to reflect the bunch of changes
! imdb: minor fix for releaseInfo()
+ pilot::officialSites now contains links to the corresponding pages on Amazon,
  IMDB, OMDB, and Zelluloid - if available
! imdb::language() was broken
+ movie classes: added method creator() to retrieve the creator of series
! fixing a minor issue (array index) in imdbsearch::results()
+ imdbsearch: added method reset() to clean up the search results array
+ Pilot API: added pilotsearch class to search moviepilot for movies
! imdb::officialSites() returned a bunch of internal links not belonging here
! imdb::runtimes(), imdb::sountrack(), and mpaa_reason() was broken
! imdb_person::filmograf was broken due to an inserted onClick() on IMDB.COM
* imdb_person::movies_actress() was causing false alert in tests
! fixed the imdb::trailers() method. Note that IMDB now only lists their own
  videos, so the imdb_trailers class is (currently) useless.
- removed the imdb_trailers class from checks. As IMDB seems to no longer
  list external trailers, they will either fail. The code for the class will
  remain in the repository for now - one never knows...
+ added new method imdb::keywords_all() (to retrieve the full list). For
  compatibility, pilot:keywords_all() has been added (aliases pilot::keywords())
+ added new class to retrieve images from movieposterdb.com
! imdb::plotoutline() did not cut surrounding DIV
+ added config setting to optionally convert imdb movie information to UTF8
! imdb::alsoknow() fixed (IMDB site changes)
+ new class imdb_movielist added. First methods allow to retrieve a list of
  movies for a given year and country / year and language, as well as the 10
  most popular movies by year.

v1.2.0 (04.10.2009)
-------------------
+ the test pages now support a "cron-mode" passing "cron=1" at the URL, i.e.
  plain text output, and only on failures (intended for automated tests)
! movie: fixed a small initialization issue (wrong type for keywords)
! movie: episodes() returned bool false (instead of empty array) if no episodes

v1.1.6 (29.09.2009)
-------------------
+ movie: added method to retrieve keywords (thanx to Balamir for the code!)
+ movie: method cast() now also has the headshots included (thumbs and big)
* test/ directory has been missing in Makefile, and "make uninstall" left some
  files on the system
+ added version and revision info to the classes (to be shown with the test page
  results)
+ let the test page prepend "." and ".." to PHPs include_path so it runs out of
  the box

v1.1.5 (24.09.2009)
-------------------
! hopefully fixed "invalid stream resource" on some network timeouts
+ movie: added method to retrieve movie types (if specified)
! person: fixed a property missing in initialization
! movie: some methods were broken due to site changes. Fixed goofs(), trailers(),
  and trivia()
* some minor updates and changes

v1.1.4 (26.04.2009)
-------------------
+ movie: added method mpaa_hist() to include multiple ratings per country (if set)
+ methods returning a data array now have the additional element "mon" holding
  the months number (while "month" still keeps the name as it was before)
+ movie: added method prodNotes() method to get information about production in progress

v1.1.3 (26.03.2009)
-------------------
* updated ApiDoc: the methods for retrieving details now use the "see also" tag
  to show which IMDB page the information is taken from
+ movie: added method officialSites to retrieve the "official" URLs
! person: movies_archive() was broken due to site changes
! movie: releaseInfo() was messed up if one entry contained an incomplete date
! movie: director() returned nothing on series main page (thanx for the fix, moonface!)
+ movie: added method mainPictures() to retrieve information on the pictures
  displayed on the main page (thanx to moonface for the initial code!)

v1.1.2 (26.02.2009)
-------------------
+ movie: added methods to retrieve company credits (production companies,
  distributors, special effects, other companies)
+ movie: added method to retrieve the synopsis
+ movie: added method to retrieve detailed parental guide info

v1.1.1 (26.01.2009)
-------------------
! names::died() and names::born() did not return complete information
  (or even returned garbage in some cases) due to site changes
! names::spouse() and names::salary() returned garbage if the corresponding
  items were not available on the corresponding page
! trailer::getFlashCodeAllTrailers() was broken due to site changes on alltrailers.net
+ collecting more details from the filmografie - all the remarks in parenthesis
  are now collected into the $addons array

v1.1.0 (12.01.2009)
-------------------
+ added the imdb_topcharts and imdb_nowplaying classes provided by banzap
+ added imdb_trailers class (rewrite of code provided by banzap)
+ added showtimes images locally (since they are somehow protected at the IMDB site)
+ added name (imdb person) search

v1.0.8 (17.09.2008)
-------------------
! fixing strange problem with filmographies sometimes missing some years in the
  middle (just fixed by an ugly work-around - still not sure what is broken)
+ added the imdbXML class provided by Pablo Castorino (thanx Pablo!)
! fixed rating (due to IMDB site changes). Tnx to sourcer for the patch!
+ allowing to define a different config file defined by the constant IMDBPHP_CONFIG
! episodes() have been broken due to site changes - fixed.

v1.0.7 (02.09.2008)
-------------------
+ imdb (movie) : added method releaseInfo()
* changed the way to get the big image - should now match better
! thumbnail was not returned when big image was missing, and big image did not
  always work correctly (image names changed?)
+ tests can now be restricted to either movie only, name only, or all (default)
+ imdb_person: added method to retrieve complete filmography (ignoring categories)
+ imdb_person: added method for category "actress"

v1.0.6 (11.06.2008)
-------------------
! preventing endless loops on connection problems (i.e. IMDB site offline)
! failed pages are no longer cached
+ added the attribute lastServerResponse (3-digit codes according to RFC2616)
  to the imdb_base class. You can check this to find out why there have been
  no results - e.g. "404" means the page was not found. "000" usually means
  the server could not be contacted (site down, network problems, ...)
+ test pages now allow to turn the cache on/off via the URL, applying
  "?cache=on" or "?cache=off" to it

v1.0.5 (03.06.2008)
-------------------
+ imdb_person: added methods to retrieve printed publications (pubprints()),
  biographical movies (pubmovies()), and "portrayed in" (pubportraits())
+ imdb_person: added method to retrieve interview list (interviews())
+ added overall results to the API test page
+ imdb_person: added methods for articles, pictorials and magazine covers
* class tests updated - results should be more precise now
! fixed a problem with redirected pages (e.g. movie 0068709)
! fixed a problem with movies having no year set (but "????" instead)

v1.0.4 (26.05.2008)
-------------------
! imdb_search: if maxresults was set to 0, no results have been returned
  (instead of unlimited)
! imdb: colors(), sounds() and episodes() have been broken due to IMDB site changes
+ added set of test pages (for verification of all methods)
* default cache expiry increased from 600 (10min) to 3600 (1h)

v1.0.3 (20.05.2008)
-------------------
+ imdb_person: methods to retrieve birthname, nicknames, body height and spouses
! imdb: languages() method was broken due to IMDB site changes
+ imdb_person: added method to retrieve mini bio
+ imdb_person: added trivia(), quotes(), trademark() and salary()
! fixed a flaw in imdb::photo() (you could not retrieve the thumbnail and the
  bigger photo in the same run)

v1.0.2 (14.05.2008)
-------------------
+ new method mpaa_reason() reports why the movie was rated PG-* in the USA
+ introduced new class imdb_person with methods to retrieve name, picture
  and filmographies of staff members
+ imdb_person: New method born() to retrieve birthdate and place
+ imdb_person: New method died() does the same for day of death (including
  cause, if available)
* links to staff members on the demo imdb.php page now pointing to the new
  imdb_person.php instead of the IMDB site to give insight into the new classes
  capabilities
! imdb: staff methods (director, cast, writing, producer, composer) did not
  return the persons IMDBID correctly (fixed: the "nm" prefix is now removed)

v1.0.1 (07.05.2008)
-------------------
* code reorganization: Split up the imdb class to create class imdb_base
+ the photo methods now support an optional parameter to retrieve a bigger
  (400x600) image instead of the thumbnail (100x140)
* rewrote alsoknow() to give even better/more matches
! in quotes(), references pointed to the local server instead of imdb site
* replaced hardcoded imdb sites in the demo page by the imdb site configured
! plotoutline() and tagline() were broken due to IMDB site changes
* some optimization of tagline() and plotoutline()
! rating() and votes() returned -1 when movie was not yet rated

v1.0.0 (04.05.2008)
-------------------
! little fix for the MPAA retrieval (thanx to aaron pointing this out and
  providing the fix)
+ added some more checks on valid image and cache directories to prevent
  PHP warnings/errors
+ adding some more comments to the API documentation
! alsoknow() sometimes messed up some AKAs - hopefully fixed.
* some style changes to the demo pages
! method country() was broken (site changes?) - fixed.

v0.9.5 (03.04.2008)
-------------------
* renamed imdb_config.php to imdb_config.class.php
* updated cache page layout
* changed Makefile: the classfiles now go to /usr/share/php which is the PHP
  include_path in the distributions php.ini - this means you no longer need
  to include these files with your apps RPM/DEB packages, but simply add the
  appropriate dependency (and include them directly via the include_path)
! imdb::alsoknow() messed things up on akas.imdb.com if AKA string contained
  only one term in parenthesis
* some W3C fixups to the demo pages
* cleanup of private class properties in class imdb (removing unreferenced
  ones, fixing initialization types, renaming some for clearer conventions)
+ imdb::comment_split() added - returns the same comment as imdb::comment, but
  structured into an array so you can access the elements more easily
+ imdb::plot_split() added similarly as pendant to imdb::plot()
* some more corrections/updates to the API reference

v0.9.4 (31.03.2008)
-------------------
* getting rid of most (all?) of the PHP warnings/notices thrown
! tagline() method missed to exactly extract the tagline from the main page when
  the movie only contained one tagline
! fixed the season display in the demo page which sometimes was caught in an
  endless loop (the API itself was not affected)
+ added a drop-down box to the demo search page to select whether to search for
  a movie or an episode by the given name
* updated some API references to give a better description
* moved the IMDB_Request class to its own file (separate from the imdb_config)
! searching akas.imdb.com did not reveal localized akas; if we find them, they
  are now listed along with their language
* improved duplicate check on movie search (thanx to Alex)

v0.9.3 (25.03.2008)
-------------------
! fixed some incorrect calls to strrpos causing PHP error messages
* changing default imdb site from us.imdb.com to akas.imdb.com to also find
  localized AKAs
+ new method movieconnection() returns connected movies (mid, name, year and
  maybe comment)
+ new method extReviews() returns external reviews for this movie (url,desc)
* some code cleanup, optimization and comments
* minor optical enhancements to the demo pages
+ imdbsearch class: added method search_episodes to restrict the search to
  either movies or episodes (before it was always restricted to movies)

v0.9.2 (13.03.2008)
-------------------
* replacing strpos..substr loops in several functions by preg_match_all constructs
! runtime was broken for some movies (errors on the IMDB pages?)
+ added soundtrack() method for guess what...
! setid() forgot to reset some credits - fixed.
* no more duplicate IMDB IDs are displayed anymore (thanx to Josh for pointing this out!)
! the result set limit ($maxresults) was not honored (again Josh - thanx!)

v0.9.1 (20.01.2008)
-------------------
! year was screwed up when movie title contained "()"
! method rating() did not return any value on subsequent calls (only on the first)
+ added support for retrieving trailer urls (method trailers())
+ added retrieval of 'Crazy Credits' (try with 'The Blues Brothers', they have some)
+ added goof retrieval (again, you can see some with 'The Blues Brothers')
* some cleanup
* moved error message output into debug methods so they can be turned off
  (do so in imdb_config.php with the $this->debug setting)
+ added method trivia() to retrieve the trivias

v0.9.0 (06.01.2008)
-------------------
! link to SearchPlotWriters was pointing to wrong server
+ added gzip support to cache (J?rg Eitem?ller)
+ added support for tv series (J?rg Eitem?ller) - new methods:
  episodes() and seasons()
! fixed bug concerning genre parsing
+ added support for retrieving the movie quotes - method: quotes()

v0.8.9 (07.10.2007)
-------------------
* genre and country often contained a stupid additional field pointing to some
  "Imdb sections". Changed the code so they are no longer there.
! Link in "user comments" now points to the correct *site* (site info was missing
  so this always pointed to the local host)
* taglines() no longer returns the "update form" as latest tagline
! if the IMDB page contained no genre or country info, the concerning function
  caused an php error (strpos(): Offset not contained in string)
! cache purge caused errors when cache directory contained subdirs - fixed.

v0.8.8 (05.08.2007)
-------------------
* applied patch sent by eremini to also support BMP images
* IMDB site changes again
* moved documentation files to doc/ dir and added APIDOC there

v0.8.7 (10.03.2007)
-------------------
+ made the maxresults (max movies to return on query) configurable
+ made the search variants configurable
+ added some more info for the APIDOC
* made the sample scripts proof for register_globals=off

v0.8.6 (23.02.2007)
-------------------
+ plot outline and selected user comment added (wtf)
* next changes on IMDB site: Fixed rating and cast (Izzy)
! alsoknow() sometimes throw an error (and ate some AKAs). Fixed (Izzy)
+ sample page now gives some more details (Izzy)
! fixed the link to ratings generated in the votes() function (eremini)

v0.8.5 (22.01.2007)
-------------------
* some adjustments due to changes on the IMDB sites
* a little re-structuring of the class files due to easier maintenance
  together with the code of phpVideoPro

v0.8.4 (13.08.2006)
-------------------
+ added automatical global cache purging
* IMDB site changes caused image retrieval to fail
* IMDB site changes caused actors retrieval to fail

v0.8.3 (08.04.2005)
-------------------
* due to internal changes on the IMDB site the searches returned empty.
  Now it works again
* extended the results for some details, e.g. the also-known-as
* lots of detail changes I do not remember anymore (see history of
  phpVideoPro at http://www.qumran.org/homes/izzy/software/)

v0.8.2 (01.12.2004)
-------------------
* Izzy took over project maintenance from sevec
* syntax on *.imdb.com changed - which made the entire class(es) unusable.
  Fixed that, so now it works again.

v0.8.1 (24.10.2003)
-------------------
+ added support for old browseremulator again. choose in imdb_config.php if
  you use PEAR.

v0.8 (22.10.2003)
-----------------
* many things that i forgot writing and don't remember now...
* imdbsearch class method setsearch($name) was renamed to
  setsearchname($name).
+ a imdbsearchurl($url) was added that can be used to find the imdb links on
  a url. (ie. to get the top 250 movies.)
* many functions that returned an empty string now return NULL. this will
  propably not affect many programs but it is cleaner for databases.
  haven't fixed all of them yet.
* PEARs HTTP_Request class is now used (see pear.php.net you need it now for
  the program to run.)
* the default is not to use or store cache now.

v0.7 (29.09.2003)
-----------------
! some minor bug fixes.
! fixed the links in the test scripts.
* search can be multiple words
* search results now return an array of imdb objects.
* when there is only one result (imdb redirects to it) the right thing is
  happening.
* fixed it for the changes in imdb site.
* added a patch by Brian Ruth for ratings.

v0.6 (01.08.2003)
-----------------
+ taglines() function that returns all taglines.
! fixed a bug that made photo() to return the wrong url sometimes.
+ added producers.
* changed runtime handling. now runtimes() returns a table with runtimes
  and runtime() returns just the first runtime and only the number.
+ added photo_localurl() which returns a local url for the movie image (after
  saving it there first if it doesn't exist.
* alsoknow() splits the info more...

v0.5 (29.07.2003)
-----------------
* Initial Release.
